org.eclipse.jgit.transport

## Class ServiceMayNotContinueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.transport.ServiceMayNotContinueException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UploadPackMayNotContinueException

    public class ServiceMayNotContinueException
    extends IOException

Indicates a transport service may not continue execution.

Since:
  2.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServiceMayNotContinueException()` Initialize with no message.
`ServiceMayNotContinueException(String msg)`
`ServiceMayNotContinueException(String msg, Throwable cause)`
`ServiceMayNotContinueException(Throwable cause)` Initialize with an "internal server error" message and a cause.

### Method Summary

Methods
`boolean` `isOutput()`
`void` `setOutput()` Mark this message has being sent to the client.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServiceMayNotContinueException

    public ServiceMayNotContinueException()

Initialize with no message.

#### ServiceMayNotContinueException

    public ServiceMayNotContinueException(String msg)

Parameters:
  `msg` - a message explaining why it cannot continue. This message may be shown to an end-user.

#### ServiceMayNotContinueException

    public ServiceMayNotContinueException(String msg,
                                  Throwable cause)

Parameters:
  `msg` - a message explaining why it cannot continue. This message may be shown to an end-user.
  `cause` - the cause of the exception.
Since:
  3.2

#### ServiceMayNotContinueException

    public ServiceMayNotContinueException(Throwable cause)

Initialize with an "internal server error" message and a cause.

Parameters:
  `cause` - the cause of the exception.
Since:
  3.2

### Method Detail

#### isOutput

    public boolean isOutput()

Returns:
  true if the message was already output to the client.

#### setOutput

    public void setOutput()

Mark this message has being sent to the client.